## org.eclipse.datatools.sqltools.routineeditor.ui.launching
Class RoutineMainTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.datatools.sqltools.routineeditor.ui.launching.RoutineMainTab

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchConfigurationTab

    public class RoutineMainTab

extends org.eclipse.debug.ui.AbstractLaunchConfigurationTab

Author:
  Yang Liu

Constructor Summary
`RoutineMainTab()`

Method Summary
`int` `convertHeightInCharsToPixels(int chars)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getName()`
`void` `initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`boolean` `isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)`
`void` `performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`static void` `resize(java.util.List list, int size, java.lang.Object fill)` resize the list to the specified size.
`void` `setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`activated, canSave, deactivated, dispose, getControl, getErrorMessage, getId, getMessage, launched, setLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineMainTab

    public RoutineMainTab()

Method Detail

### getName

    public java.lang.String getName()

### getImage

    public org.eclipse.swt.graphics.Image getImage()

  Specified by:
    `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### convertHeightInCharsToPixels

    public int convertHeightInCharsToPixels(int chars)

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### setDefaults

    public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

### initializeFrom

    public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)

### performApply

    public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

### isValid

    public boolean isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)

  Specified by:
    `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### resize

    public static void resize(java.util.List list,
                              int size,
                              java.lang.Object fill)

  resize the list to the specified size. If originally the list is bigger than the size, then trailing element will be removed. If orginally the list is smaller, then will use "fill" to fill into the empty space. After the method, list.size() == size

  Parameters:
    `list` -
    `size` - must >= 0